package org.apache.bcel.util;

import java.util.HashMap;
import java.util.Map;
import org.apache.bcel.classfile.JavaClass;

/* loaded from: org_apache_bcel_util.jar:org/apache/bcel/util/ClassPathRepository.class */
public class ClassPathRepository extends AbstractClassPathRepository {
    private final Map<String, JavaClass> loadedClasses;

    @Override // org.apache.bcel.util.AbstractClassPathRepository, org.apache.bcel.util.Repository
    public /* bridge */ /* synthetic */ JavaClass loadClass(String str) throws ClassNotFoundException {
        return super.loadClass(str);
    }

    @Override // org.apache.bcel.util.AbstractClassPathRepository, org.apache.bcel.util.Repository
    public /* bridge */ /* synthetic */ JavaClass loadClass(Class cls) throws ClassNotFoundException {
        return super.loadClass((Class<?>) cls);
    }

    @Override // org.apache.bcel.util.AbstractClassPathRepository, org.apache.bcel.util.Repository
    public /* bridge */ /* synthetic */ ClassPath getClassPath() {
        return super.getClassPath();
    }

    public ClassPathRepository(ClassPath classPath) {
        super(classPath);
        this.loadedClasses = new HashMap();
    }

    @Override // org.apache.bcel.util.AbstractClassPathRepository, org.apache.bcel.util.Repository
    public void clear() {
        this.loadedClasses.clear();
    }

    @Override // org.apache.bcel.util.AbstractClassPathRepository, org.apache.bcel.util.Repository
    public JavaClass findClass(String className) {
        return this.loadedClasses.get(className);
    }

    @Override // org.apache.bcel.util.AbstractClassPathRepository, org.apache.bcel.util.Repository
    public void removeClass(JavaClass javaClass) {
        this.loadedClasses.remove(javaClass.getClassName());
    }

    @Override // org.apache.bcel.util.AbstractClassPathRepository, org.apache.bcel.util.Repository
    public void storeClass(JavaClass javaClass) {
        this.loadedClasses.put(javaClass.getClassName(), javaClass);
        javaClass.setRepository(this);
    }
}
